nginx (1.14.2-2+deb10u1.lnd.2) security; urgency=high

  * Fix CVE-2021-23017: 1-byte memory overwrite
  * Fix CVE-2019-20372: error page request smuggling

 -- Zhailiangliang <zhailiangliang@loongson.cn>  Wed, 31 Aug 2022 10:52:00 +0800

nginx (1.14.2-2+deb10u1.lnd.1) security; urgency=high

  * bugfix: prevented request smuggling in the ngx.location.capture API
    (CVE-2020-11724) (Closes: #964950)

 -- Zhai liangliang <zhailiangliang@loongson.cn> Tue, 02 Mar 2021 16:45:22
+0800

nginx (1.14.2-2+deb10u1) buster-security; urgency=high

  * Backport upstream fixes for 3 CVEs (Closes: #935037)
    Those fixes affect Nginx HTTP/2 implementation, which might cause
    excessive memory consumption and CPU usage.
    (CVE-2019-9511, CVE-2019-9513, CVE-2019-9516).

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 13 Aug 2019 21:10:28 +0300

nginx (1.14.2-2) unstable; urgency=medium

  [ Kartik Mistry ]
  * po/tr.po:
    + Added Turkish translation. Thanks Atila KOÇ <koc@artielektronik.com.tr>
      (Closes: #915728)

  [ Christos Trochalakis ]
  * http-dav-ext: Upgrade to 3.0.0 (Closes: #851651)
  * Use a minimal export of the upstream signing key
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 27 Dec 2018 12:49:34 +0200

nginx (1.14.2-1) unstable; urgency=medium

  [ Olaf van der Spek ]
  * Reference PHP 7.3 (Closes: 913250)

  [ Christos Trochalakis ]
  * Adjust fastcgi_split_path_info snippet to handle the `/example.php/` case
    (Closes: #911398)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 13 Dec 2018 10:05:37 +0200

nginx (1.14.1-1) unstable; urgency=medium

  [ Kartik Mistry ]
  * Removed unused lintian override.
  * Fixed trailing whitespaces in changelog.

  [ Christos Trochalakis ]
  * New upstream version. (Closes: #913090)
    + CVE-2018-16843 Excessive memory usage in HTTP/2
    + CVE-2018-16844 Excessive CPU usage in HTTP/2
    + CVE-2018-16845 Memory disclosure in the ngx_http_mp4_module

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 07 Nov 2018 07:16:00 +0200

nginx (1.14.0-1) unstable; urgency=medium

  [ Kartik Mistry ]
  * debian/control:
    + Removed duplicate Build-Depends.
    + Use https in Homepage.

  [ Christos Trochalakis ]
  * http-lua: Upgrade to 0.10.13
  * http-lua: Drop our OpenSSL patch, OpenSSL 1.1 is now supported upstream
  * http-fancyindex: Upgrade to 0.4.3
  * Order nginx after nss-lookup.target to synchronize host/network name lookups
    (Closes: #900790)
  * Merge ru translations.
    Thanks to Lev Lamberov (Closes: #883104)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 31 Aug 2018 15:28:04 +0300

nginx (1.13.12-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 11 Apr 2018 08:19:23 +0300

nginx (1.13.11-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 10 Apr 2018 14:55:11 +0300

nginx (1.13.10-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 21 Mar 2018 16:16:22 +0200

nginx (1.13.9-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * Remove non-uploading users

  [ Christos Trochalakis ]
  * New upstream version 1.13.9
  * Move packaging repository to salsa.debian.org
  * Bump Standards-Version to 4.1.3, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 21 Feb 2018 11:24:53 +0200

nginx (1.13.8-1) unstable; urgency=medium

  * New upstream release.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 27 Dec 2017 09:24:36 +0200

nginx (1.13.7-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream version 1.13.7
  * Bump Standards-Version, no changes needed
  * debian/watch: switch to HTTPS for the upstream check

  [ Mpampis Kostas ]
  * Automate modules watch & upgrade process (Closes: #869499)

  [ Christos Trochalakis ]
  * Bits & pieces for ngxmod
  * http-headers-more-filter: Upgrade to 0.33
  * http-echo: Upgrade to 0.61
  * http-lua: Upgrade to 0.10.11
  * http-dav-ext: Upgrade to 0.1.0 (Closes: #878611)
  * http-fancyindex: Upgrade to 0.4.2
  * rtmp: Upgrade to 1.2.1 (Closes: #880718)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 14 Dec 2017 11:04:36 +0200

nginx (1.13.6-2) unstable; urgency=medium

  * rtmp: Ship docs & examples (Closes: #878368)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 13 Oct 2017 12:59:28 +0300

nginx (1.13.6-1) unstable; urgency=medium

  * New upstream version
  * Normalize module paths in packaging repository
  * Bump Standards-Version, no changes needed
  * Drop dh-systemd dependency since we depend on debhelper >= 10

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 12 Oct 2017 10:37:29 +0300

nginx (1.13.5-1) unstable; urgency=medium

  * New upstream version 1.13.5
  * doc: Improve example WordPress configuration
    Thanks to Larry Holish (Closes: #863343)
  * Remove upstart conffile (Closes: #874319)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 06 Sep 2017 10:10:24 +0300

nginx (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4
  * nginx-lua:
    + Add a simple lua autopkgtest
    + Discover LuaJIT 2.1 (FTBFS) (Closes: #873319)
    + Update to v0.10.10
    + Update OpenSSL 1.1 patch
    + Drop patch to build against Nginx 1.11.11, now included upstream
  * tests: Fix race between reload and curl's http request
  * Explicitly disable autoreconf (debhelper 10)
  * Drop Upstart configuration
  * Bump Standards to 4.1.0
    + Switch all packages to Priority optional, extra is considered deprecated

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 29 Aug 2017 10:49:03 +0300

nginx (1.13.3-1) unstable; urgency=high

  * New upstream version 1.13.3.
    Fixes CVE-2017-7529 (Closes: #868109)
  * Drop gzip_disable "msie6" directive. (Closes: #867024)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 12 Jul 2017 11:20:27 +0300

nginx (1.13.2-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream version 1.13.2.
  * Fix nginx-cache-purge segfaults (Closes: #866750)
  * Merge ca translations.
    Thanks to Alytidae (Closes: #865996)
  * Merge es translations.
    Thanks to Jonathan Bustillos (Closes: #855610)
  * Merge pt translations.
    Thanks to Rui Branco (Closes: #858741)
  * Bump Standards to 4.0.0.
    - Switch the copyright-format URL to https.

  [ Nicolas Dandrimont ]
  * Introduce libnginx-mod-rtmp (Closes: #843777)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 03 Jul 2017 13:44:59 +0300

nginx (1.13.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 20 Jun 2017 14:16:52 +0300

nginx (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 31 May 2017 11:41:59 +0300

nginx (1.13.0-1) experimental; urgency=medium

  * New upstream release.
    We now target nginx mainline (1.13.x).

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 10 May 2017 11:40:38 +0300

nginx (1.12.0-1) experimental; urgency=medium

  [ Michael Lustfield ]
  * debian/rules:
    - Configure build flags to work with other arches and downstreams.
      Thanks to Thomas Ward.

  [ Christos Trochalakis ]
  * New upstream release.
  * Patch nginx-upstream-fair to build against nginx 1.11.6.
  * Patch nginx-lua to build against nginx 1.11.11.
  * Patch nginx-echo to build against nginx 1.11.11.
  * Drop curve list patch, it's included upstream.
  * Drop perl build flags patch, it is now handled upstream.
  * Enable SSL Preread builtin module on nginx-full & nginx-extras.
    (Closes: #854214)
  * Switch to debhelper 10, no changes needed.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 05 May 2017 11:16:30 +0300

nginx (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #855113)
  * Update Vcs fields to the new location.
    The repo is now moved under the pkg-nginx namespace.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 15 Feb 2017 09:58:13 +0200

nginx (1.10.2-4) unstable; urgency=medium

  * Switch module reloading logic to dpkg triggers.
  * Enable modules after a remove -> install cycle.
  * Move module patches to debian/modules/patches.
  * Backport curve list support from 1.11.x. (Closes: #846085)
  * Add a NEWS entry regarding dynamic modules.
  * Merge de,fr,nl,pt_BR,da translations.
    Thanks to Chris Leick. (Closes: #843770)
    Thanks to Julien Patriarca. (Closes: #844712)
    Thanks to Frans Spiesschaert. (Closes: #845693)
    Thanks to Adriano Rafael Gomes. (Closes: #846522)
    Thanks to Joe Dalton. (Closes: #850857)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sun, 22 Jan 2017 12:19:30 +0200

nginx (1.10.2-3) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/conf/sites-enabled/default:
    + Correcting location of default php-fpm socket. (Closes: #846145)

  [ Christos Trochalakis ]
  * debian/rules: Correctly clean patched modules.
    Thanks to Sven-Haegar Koch for the initial patch. (Closes: #844506)
  * mod: Upgrade nchan to 1.0.8. (Closes: #844473)
  * mod: Upgrade nginx-lua to 0.10.7.
  * Update nginx-lua OpenSSL 1.1.0 patch.
  * Reactivate PIE.
    Thanks to Markus Waldeck for the suggestion.
  * mod: Check if nginx binary exists before reloading.
  * mod: Upgrade headers-mode to 0.32.
  * mod: Upgrade development kit to 0.3.0.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 24 Dec 2016 12:11:21 +0200

nginx (1.10.2-2) unstable; urgency=medium

  * Build against OpenSSL 1.1.0. (Closes: #828453)
    + Patch for nginx-lua by Alessandro Ghedini.
    + Patch for nginx-upstream-fair by Kurt Roeckx.
  * debian/modules:
    + Rethink module patching logic.
    + Convert dav-ext to a dynamic module package:
      o libnginx-mod-http-dav-ext

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sat, 12 Nov 2016 09:18:12 +0200

nginx (1.10.2-1) unstable; urgency=high

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/nginx-common.postinst:
    + CVE-2016-1247: Secure log file handling (owner & permissions)
      against privilege escalation attacks. /var/log/nginx is now owned
      by root:adm. Thanks ro Dawid Golunski for the report.
      Changing /var/log/nginx permissions effectively reopens #701112,
      since log files can be world-readable. This is a trade-off until
      a better log opening solution is implemented upstream (trac:376).
      (Closes: #842295)
  * debian/control:
    + Version depend on lsb-base (>= 3.0-6).
      Fixes lintian init.d-script-needs-depends-on-lsb-base.
  * debian/nginx-*.lintian-overrides:
    + Drop unused spelling-error-in-binary override.

  [ Michael Lustfield ]
  * debian/conf/sites-available/default:
    + Updated PHP sample configuration block. (Closes: #841230)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sat, 29 Oct 2016 08:45:09 +0300

nginx (1.10.1-3) unstable; urgency=medium

  * debian/control:
    + Drop nginx-*-dbg packages in favor of autogenerated -dbgsym packages.
    + Remove relic Breaks/Replaces from nginx-common.
    + Fix lsb-base dependencies.
    + Switch Maintainer to the Nginx Packaging Team and keep active maintainers
      as uploaders. Jose, Fabio, Dmitry & Cyril, thanks a lot for all your
      contributions!

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 15 Sep 2016 15:20:58 +0300

nginx (1.10.1-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/control:
    + Don't allow building against liblua5.1-0-dev on architectures
      that libluajit is available.
    + Enable slice module on all flavors. (Closes: #815080)
    + Enable SCGI & uWSGI module for nginx-light.
    + Convert to dynamic module packages:
      o libnginx-mod-nchan
      o libnginx-mod-http-echo
      o libnginx-mod-http-upstream-fair
      o libnginx-mod-http-headers-more-filter
      o libnginx-mod-http-cache-purge
      o libnginx-mod-http-fancyindex
      o libnginx-mod-http-uploadprogress
      o libnginx-mod-http-subs-filter
  * debian/modules:
    + Replace http-push with nchan v1.0.2 (Closes: #836134)
    + Upgrade nginx-lua to v0.10.6
    + Upgrade nginx-echo to v0.60
    + Upgrade headers-more to v0.31
    + Upgrade fancyindex to v0.4.1
    + Upgrade upload-progress to v0.9.2

  [ Michael Lustfield ]
  * debian/patches/0003-*.patch:
    + Use _GNU_SOURCE on GNU/kFreeBSD. (Closes: #826061)
      Thanks Steven Chamberlain for the patch.
  * debian/nginx-*.postinst:
    + Make nginx-*.postinst use invoke-rc.d. (Closes: #823435)
      Thanks Simon Deziel for the patch.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 06 Sep 2016 11:06:26 +0300

nginx (1.10.1-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release (1.10.1)
    Fixes CVE-2016-4450
    NULL pointer dereference while writing client request body.
    (Closes: #825960)

  * debian/control:
    + Generate dbgsym packages only if dh_strip supports it.
      Thanks Faidon Liambotis for the hint.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 31 May 2016 22:01:25 +0300

nginx (1.10.0-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release (1.10.0)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 29 Apr 2016 10:31:46 +0300

nginx (1.9.14-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/control:
    + Fix upgrading nginx-extras from testing. (Closes: #822553)
    + Bump Standards to 3.9.8, no changes needed.
  * debian/libnginx-mod-http-perl.lintian-overrides:
    + Override wrong-section-according-to-package-name warning.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 27 Apr 2016 16:43:02 +0300

nginx (1.9.14-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release (1.9.14) (Closes: #812806)
  * debian:
    + Setup dynamic module flow, and implement a simple dh_nginx helper for
      internal use.
    + Split modules in libnginx-mod-* packages.
      Not all modules are ready for dynamic building.
  * debian/control:
    + Enable http/2, thread pool & WebDAV on nginx-light.
      In order for dynamic modules to be loadable in all nginx flavors we need
      to ensure they share the same build signature. (Closes: #816095)
    + nginx-common & nginx-doc are now 'Multi-Arch: foreign'. (Closes: #812484)
      Thanks Elrond for the report and the initial patch.
    + Use secure VCS uri (lintian).
    + Bump Standards to 3.9.7.
  * debian/rules:
    + Disable PIE for now so we can build dynamic modules.
  * debian/tests/control:
    + Test if modules are loadable in nginx-light.
  * debian/nginx-common.nginx.service:
    + Documentation points to nginx man page.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.12 and convert it to a dyn module.
      Fixes buiding failures with nginx 1.9.11.
  * debian/modules/nginx-auth-pam:
    + Update http-auth-pam module to 1.5 and convert it to a dyn module.
      (Closes: #819062)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 19 Apr 2016 11:05:35 +0300

nginx (1.9.10-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release (1.9.10) (Closes: #812806)
  * debian/control:
    + Drop python dependency from nginx-common. (Closes: #808699)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 26 Jan 2016 20:12:06 +0200

nginx (1.9.9-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/nginx-common.nginx.logrotate:
    + Switching logrotate to 14 days. (Closes: #805322)

  [ Christos Trochalakis ]
  * New upstream release (1.9.9).
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.10.0.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 14 Jan 2016 10:40:35 +0200

nginx (1.9.6-2) unstable; urgency=medium

  [ Christos Trochalakis]
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.19 fixing HTTP/2 compatibility.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 13 Nov 2015 16:08:01 +0200

nginx (1.9.6-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream release.
  * Enable http2 module in nginx-full & nginx-extras

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 03 Nov 2015 08:59:21 +0200

nginx (1.9.4-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream release.
  * debian/copyright:
    + Fix licence order.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Mon, 24 Aug 2015 16:23:20 +0300

nginx (1.9.3-1) unstable; urgency=medium

  [ Christos Trochalakis]
  * New upstream Release. (Closes: #789924)
  * debian/control:
    + Remove XS-Testsuite header, it is now automatically added when
      `debian/tests/control` is present.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.16 and drop our backported patches.
  * debian/conf/*:
    + Add REQUEST_SCHEME to fcgi, wsgi and scgi configs (sync with upstream).

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 14 Jul 2015 20:24:52 +0300

nginx (1.9.2-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/nginx-common.nginx.init:
    + Init script now returns the proper exit status. (Closes: #788573)
    + Cleaned up the init script to have consistent naming/structure.

  [ Christos Trochalakis ]
  * New upstream Release.
  * debian/rules:
    + Add stream module to nginx-full & nginx-extras.
    + Add thread pool support to nginx-full & nginx-extras.
  * debian/modules/nginx-lua:
    + Backport upstream's 9531e5e7 fixing build failure when thread pool
      support is enabled.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Mon, 22 Jun 2015 10:16:19 +0300

nginx (1.9.1-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * debian/conf/nginx.conf:
    + Switch worker_processes to auto. (Closes: #781711)
  * debian/conf/sites-available/default:
    + Add comment about disabling gzip in HTTPS. (Closes: #773332)
    + Add comment about checking ssl_ciphers. (Closes: #765782)
  * debian/modules/*:
    + Updated nginx-auth-pam 1.3 -> 1.4. (Closes: #777120)
    + Updated nginx-echo v0.56 -> v0.57.
    + Updated nginx-lua v0.9.13 -> v0.9.15.
    + Updated nginx-cache-purge 2.1 -> 2.3.
    + Updated ngx-fancyindex v0.3.4 -> v0.3.5.
  * debian/nginx-common.NEWS:
    + Document potential issues with newer versions on i386.
  * debian/nginx-common.{dirs,install}, debian/vim/*:
    + Installing vim syntax highlighting from package. (Closes: #771609)
      Thanks Emmanuel Bouthenot for building this patch.
  * debian/nginx-common.nginx.upstart:
    + Created file to support upstart jobs. (Closes: #745483)
      Thanks Cameron Norman for building this file.
  * debian/rules:
    + Add hardening flags with dpkg-buildflags. (Closes: #747025, #781703)
      Thanks Thomas Ward.
    + Supply custom DEB_BUILD_MAINT_OPTIONS for debian_ldflags generation.
      Thanks Thomas Ward.
    + Added back missing module gunzip. (Closes: #782065)
      Thanks Peter Wu for the initial patch.
  * debian/modules/nginx-lua/*:
    + Updated module version. (Closes: #762494)
  * debian/ngx-conf/*
    + Added configuration utility, not shipped yet. (Closes: #652108)
  * debian/nginx-common.manpages:
    + Replaced man page with upstream maintained version. (Closes: #781345)
  * debian/nginx-common.install:
    + Changed debian/index.html -> html/index.html. This installs the package
      maintained version of this file as opposed to our out of date version.

  [ Christos Trochalakis ]
  * New upstream release. Switching to mainline version. (Closes: #777677)
  * debian/nginx-common.manpages:
    + Build & ship manpages with binary packages.
  * debian/rules:
    + Adjust configure flags for limit_zone module (renamed to limit_conn).
  * debian/modules/nginx-lua:
    + Backport upstream's f4e1311 fixing build failure with mainline nginx.
  * debian/control:
    + Depend on libgd-dev now that jessie is released.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 12 Jun 2015 15:42:49 +0300

nginx (1.6.2-5) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/conf/nginx.conf:
    + Drop SSLv3 protocol (POODLE), and prefer server ciphers
      by default. (Closes: #767456)
  * debian/copyright:
    + Add copyright for ngx_http_substitutions_filter_module.
  * debian/nginx-common.{preinst,postinst,postrm}:
    + Remove /etc/nginx/naxsi-ui.conf conffile. (Closes: #768233)
  * debian/README.Debian:
    + Add a list of important changes since wheezy.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sun, 30 Nov 2014 10:39:55 +0200

nginx (1.6.2-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/modules/nginx-development-kit:
    + Upgrade v0.2.17-7-g24202b4 -> v0.2.19
  * debian/modules/nginx-echo:
    + Upgrade v0.51 -> v0.56
  * debian/modules/nginx-upload-progress:
    + Upgrade v0.9.0-0-ga788dea -> 0.9.1
  * debian/modules/ngx-fancy-index:
    + Upgrade v0.3.3 -> v0.3.4
  * debian/copyright:
    + Rewrite copyright file fixing various issues.
  * debian/nginx-common.nginx.logrotate:
    + Switch postrotate to the initscript's rotate command.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sun, 19 Oct 2014 08:23:33 +0300

nginx (1.6.2-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Change the default document root to /var/www/html according to debian
    policy 3.9.6.0. (Closes: #730382)
  * Provide a new, debian specific, default landing page.
  * debian/nginx-common.nginx.service:
    + Graceful stopping of nginx was not handled correctly with systemd.
  * debian/nginx-common.nginx.init:
    + Gracefully stop nginx by default, we are switcing to a configurable
      STOP/5/TERM/5/KILL/5 schedule. We are now in sync with the systemd
      service file. (Closes: #762708)
  * debian/conf:
    + Introduce a `snippets/fastcgi-php.conf` snippet with a basic
      php configuration that can be included when needed. (Closes: #762491)
    + Introduce a `snippets/snakeoil.conf` snippet that enabled https
      using the certs installed by the ssl-cert package.
    + Suggest disabling SSLv3 in default site with a ref to POODLE.
  * debian/control:
    + nginx-common now suggests ssl-cert.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 16 Oct 2014 13:34:29 +0300

nginx (1.6.2-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Drop nginx-naxsi, nginx-naxsi-dbg, nginx-naxsi-ui packages.
    (Closes: #746199, #737146, #712445)
  * debian/conf/nginx.conf:
    + Remove relic passenger stanga.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 26 Sep 2014 11:06:47 +0300

nginx (1.6.2-1) unstable; urgency=high

  [ Christos Trochalakis ]
  * New upstream release.
    CVE-2014-3616: "it was possible to reuse SSL sessions in unrelated
    contexts if a shared SSL session cache or the same TLS session ticket
    key was used for multiple "server" blocks".
    (Closes: #761940)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 17 Sep 2014 11:19:01 +0300

nginx (1.6.1-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/control:
    + Build nginx-extras against luajit (Closes: #755875)
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.12
  * debian/nginx-common.nginx.init:
    + Better pidfile extraction from nginx.conf (Closes: #747329)
  * debian/conf/mime.types:
    + Upgrade to the latest upstream mime types.
      As a consequence, nginx now uses "application/javascript" for
      javascript files.
  * debian/conf/nginx.conf:
    + Add application/javascript to the gzip_types list. (Closes: #737176)
  * debian/rules:
    + Make naxsi module first in configure parameters.
      Fixes erratic naxsi behaviour. (Closes: #758642)
  * debian/conf/{koi-utf,koi-win,scgi_params,uwsgi_params}:
    + Sync with upstream config files.
  * debian/conf/fastcgi_params:
    + Sync with upstream and remove `SCRIPT_FILENAME` parameter.
      This change might break fastcgi sites. (Closes: #718639)
  + debian/conf/fastcgi.conf:
    + Ship upstream file.
  * debian/nginx-common.NEWS:
    + Document syncing conf files with upstream.
  * debian/tests/control:
    + Include some simple autopkgtests.
      Thanks to Robie Basak for the initial patch. (Closes: #756391)
  * debian/modules/nginx-http-push:
    + Update to v0.73.
      Fixes fd leak on reload. (Closes: #745921)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 04 Sep 2014 13:00:46 +0300

nginx (1.6.1-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
    Handle CVE-2014-3556 SMTP STARTTLS vulnerability (Closes: #757196)
    http://mailman.nginx.org/pipermail/nginx-announce/2014/000144.html

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 06 Aug 2014 10:05:08 +0300

nginx (1.6.0-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Patch from Gregor Herrmann <gregoa@debian.org>:
    Fix "hardcodes /usr/lib/perl5":
    - drop debian/nginx-extras.dirs, not needed, dh_install uses the
      directories from debian/nginx-extras.install
    - make debian/nginx-extras.install executable, and use $Config{vendorarch}
      for the perl library path there
    (Closes: #752796)

 -- Kartik Mistry <kartik@debian.org>  Tue, 29 Jul 2014 04:56:03 +0000

nginx (1.6.0-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/rules:
    + Enable auth request http module. (Closes: #725732)
  * debian/patches/series:
    + Remove backported openssl guard patch.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 24 Apr 2014 19:23:22 +0300

nginx (1.4.7-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/rules:
    + Convert to dh $@
      As a side effect, fixes make dependency issues (Closes: #744050)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 17 Apr 2014 14:30:27 +0300

nginx (1.4.7-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #742059)
    + Fixes pottential arbitrary code execution (CVE-2014-0133)
      Debian build was not vulnerable since it was compiled
      with the --with-debug configure option.
  * debian/modules/nginx-http-push:
    + Update to v0.711 (Closes: #732251)
  * debian/modules/headers-more-nginx-module:
    + Update to v0.25, containing several bugfixes.
  * debian/modules/nginx-echo:
    + Update to v0.51, containing several bugfixes.
  * debian/modules/nginx-dav-ext-module:
    + Update to v0.0.3, containing some uri encoding fixes.
  * debian/modules/ngx_http_substitutions_filter_module:
    + Update to v0.6.4, containing some enhancements.
  * debian/modules/nginx-auth-pam:
    + Update to v1.3.
      This version contains our downstream patch (See: #721702)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 18 Mar 2014 22:03:47 +0200

nginx (1.4.6-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/rules:
    + Avoid double declaration of hardening flags.
    + Expand buildflags so the build log is easier to follow.
    + Switch to --with--cc-opt, --with-ld-opt configure flags.
      Nginx is now compiled with --Werror, making all warnings
      into errors.
    + Split common configure options.
    + Enable realip module for nginx-light.
    + Enable debug module for nginx-light and nginx-extras.
  * debian/patches/perl-use-dpkg-buildflags.patch:
    + Rewrite patch to just just override LDDLFLAGS and not
      CCFLAGS since this is handled by --with-cc-opt.
  * debian/watch, debian/upstream/signing-key.asc:
    + Fix upstream signature verification.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 04 Mar 2014 18:06:55 +0200

nginx (1.4.5-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.4
  * debian/nginx-naxsi-ui.preinst:
    + Fix exit status issue (Closes: #735152)
  * debian/control:
    + Fix arch:all to arch:any dependencies
    + Make nginx depend on specific flavor version
  * debian/nginx-*.postinst:
    + Make nginx start by default (Closes: #735551)
  * debian/nginx-*.prerm:
    + No need to check for invoke-rc.d,
      correctly set the exit code on error
  * debian/nginx-common.nginx.init:
    + Rewrite some parts of the initscript
    + Introduce rotate command
    + Introduce upgrade command

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 13 Feb 2014 11:41:49 +0200

nginx (1.4.4-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-common.postinst:
    + Fix log re-opening issue due to wrong /var/log/nginx
      permissions. (Closes: #734139)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sat, 04 Jan 2014 09:41:40 +0200

nginx (1.4.4-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-naxsi-ui.postinst:
    + Fix early exit issue (Closes: #715435)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 31 Dec 2013 11:47:07 +0200

nginx (1.4.4-2) unstable; urgency=low

  [ Michael Lustfield ]
  * debian/control:
    + Added Provides: httpd-cgi to packages. (Closes: #701508)
    + Added other options to nginx depends. (Closes: #729860)
    + Added Spdy to nginx-full package description.
  * debian/nginx-common.nginx.init:
    + Added missing line from patch. (Closes: #728103)
  * debian/conf/sites-available/default:
    + Changed ssl_protocols and ssl_ciphers. (Closes: 730142)
  * debian/nginx-common.preinst:
    + Modify permissions of /var/log/nginx. (Closes: #701112)
  * debian/rules:
    + Added spdy support to nginx-full. (Closes: #730432)

  [ Christos Trochalakis ]
  * debian/nginx-doc,docs, debian/nginx-common.NEWS:
    + Ship NEWS with nginx-common instead of nginx-doc.
  * debian/conf/proxy_params:
    + Host header should be passed unmodified to the proxied server.
    + Pass X-Forwarded-Proto header to the proxied server.
  * debian/control:
    + Fix nginx-naxsi-ui Depends and Conflicts lines.

  [ Neutron Soutmun ]
  * debian/patches/guard-use-of-deprecated-openssl-definition.patch:
    + Fix FTBFS against the recent libssl-dev. (Closes: #733107)

  [ Kartik Mistry ]
  * debian/control:
    + Updated to Standards-Version 3.9.5
  * debian/watch, debian/upstream-signing-key.pgp:
    + Use upstream PGP signature to verify by watch file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Dec 2013 21:16:01 +0530

nginx (1.4.4-1) unstable; urgency=low

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #730012)
  * debian/nginx-*.postinst:
    + Wait for the new master to write its pid file before sending QUIT to the
      old master. This solves an issue with systemd and the upgrade mechanism.
      Systemd receives the SIGCHLD from the old master but it can't see the new
      pid because the new master has not written it yet. As a result, it kills
      everything inside the cgroup, including the new master.
  * debian/modules/ngx-fancyindex:
    + Upgrade Fancy Index module to v0.3.3 (Closes: #728721)
  * debian/control:
    + Remove Upload module from nginx-extras description (Closes: #729003)

  [ Michael Lustfield ]
  * debian/control:
    + Added spdy to package description (Closes: #728038)
  * debian/nginx-common.nginx.init:
    + Showing better start/stop messages. Thanks Pim van den Berg.
      (Closes: #728103)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 21 Nov 2013 19:25:50 +0530

nginx (1.4.3-2) unstable; urgency=low

  [ Kartik Mistry ]
  * Renamed debian/nginx-common.service to debian/nginx-common.nginx.service so
    it is installed properly for systemd. Thanks to Christos Trochalakis.
  * Set debian/compat to 9 and updated debhelper dependency.

  [ Christos Trochalakis ]
  * debian/rules, debian/nginx-common.dirs,
    debian/debian-common.nginx.logrotate:
    + Switch to dh_installlogrotate.
  * debian/rules:
    + *-stamp files are deleted by dh_clean.
    + Remove unused mime-types target.
    + Remove not needed config.sub and config.guess targets.
  * debian/nginx-common.dirs:
    + Don't ship an empty /run dir.
  * debian/nginx-{light,full,extras}.lintian-overrides:
    + Override false lintian spelling error warning.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Oct 2013 14:58:11 +0530

nginx (1.4.3-1) unstable; urgency=low

  [ Cyril Lavier ]
  * debian/nginx-naxsi-ui.postinst, debian/nginx-naxsi-ui.preinst:
    + Added missing arguments to have clean postinst/preinst scripts.
  * debian/conf/fastcgi_params:
    + Defined fastcgi param HTTPS the same as upstream default.
      (Closes: #712989)

  [ Michael Lustfield ]
  * conf/sites-available/default:
    + Removed /doc/ section per bug #715804.

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #722640)
  * debian/nginx-common.nginx.init:
    + Better pidfile extraction from nginx.conf. We now accept multiple
      spaces and tabs as a field separator.
  * debian/modules/nginx-auth-pam:
    + Fixed upstream bug. (Closes: #721702)
  * debian/watch:
    + Only check for stable releases.
  * debian/conf/sites-available/default:
    + Correctly fallback to 404 when the requested file is missing.
      (Closes: #724232)
  * debian/logrotate:
    + Gracefully handle empty pidfile in logrotate script.
      (Closes: #696797)

  [ Kartik Mistry ]
  * Switch to dh-systemd (Closes: #713853)

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 Oct 2013 17:28:56 +0530

nginx (1.4.1-3) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/control:
    + Changed libgd2-dev build-dep to libgd2-dev|libgd2-noxpm-dev allow
      backporting (Closes: #711505)

  [ Cyril Lavier ]
  * debian/nginx-naxsi-ui.preinst
    + Added argument "install" to the preinst script. (Closes: #711590)

 -- Kartik Mistry <kartik@debian.org>  Sun, 09 Jun 2013 13:07:52 +0530

nginx (1.4.1-2) unstable; urgency=medium

  [ Kartik Mistry]
  * Urgency set to medium due to Security and RC bugs.
  * debian/conf/sites-available/default:
    + Fixed typo in listen ipv6only=on (Closes: #707684)

  [ Cyril Lavier ]
  * debian/control:
    + Replaced the build-dep libgd2-noxpm-dev to libgd2-dev as part of
      the libgd2-{xpm,noxpm}-dev -> libgd2-dev transition.
  * debian/nginx-naxsi-ui.preinst, debian/nginx-naxsi-ui.postinst,
    debian/conf/naxsi-ui.conf.1.4.1:
    + Added preinst script and renamed the new config file to avoid
      prompting the user. (Closes: #707291)
  * debian/rules:
    + Made "debian/rules binary" enough to build binary package.
      (Closes: #708522)

 -- Kartik Mistry <kartik@debian.org>  Thu, 06 Jun 2013 12:55:23 +0530

nginx (1.4.1-1) unstable; urgency=low

  * New upstream release:
    + Fixes arbitrary code execution (CVE-2013-2028).
  * Uploaded to unstable.
  * debian/control:
    + Updated Standards-Version to 3.9.4

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 May 2013 19:53:46 +0530

nginx (1.4.0-2) experimental; urgency=low

  [ Ondřej Surý ]
  * debian/modules/:
    + Updated nginx-echo, nginx-cache-purge and naxsi modules.
    + Removed useless .gitignore, .gitmodules files.

  [ Kartik Mistry ]
  * debian/modules/nginx-upload:
    + This module no longer works with 1.3.x and above. Removed as of now.
  * debian/modules/ngx-fancyindex:
    + Added Fancy Indexes module (Closes: #704210)
  * debian/copyright:
    + Fixed path for modules in Files: field.
    + Updated copyright for debian/*
  * debian/rules:
    + Enabled spdy module (Closes: #706195).
  * debian/control:
    + Suggests: fcgiwrap (Closes: #701508).

  [ Cyril Lavier ]
  * debian/conf/naxsi-ui.conf:
    + Added configuration file for nginx-naxsi-ui using SQLite
      (Closes: #699678).
  * debian/nginx-naxsi-ui.config, debian/nginx-naxsi-ui.postinst,
    debian/nginx-naxsi-ui.postrm, debian/nginx-naxsi-ui.prerm,
    debian/nginx-naxsi-ui.templates:
    + Removed these files as they are not necessary anymore with the
      database engine switching from MySQL to SQLite.
  * debian/control:
    + Removed dependencies against MySQL.
  * debian/rules, debian/modules/ngx_http_substitutions_filter_module,
    debian/README.Modules-versions:
    + Added http_substitutions_filter module. (Closes: #706456)

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 May 2013 10:48:43 +0530

nginx (1.4.0-1) experimental; urgency=low

  [ Kartik Mistry ]
  * New upstream release (Closes: #706127).
  * debian/rules, debian/modules/:
    + Removed chunkin-nginx-module as it no longer supported for nginx 1.3.9+
    + Updated nginx-lua module to 0.8.0
    + Patched nginx-upload module as described in modules/README file.
  * Refreshed debian/patches/perl-use-dpkg-buildflags.patch
  * debian/logrotate:
    + Set default log to keep for 52 weeks instead of 52 days. Thanks to
      RjY <rjy@users.sourceforge.net> for patch (Closes: #696440)
  * debian/rules:
    + Added cache purge module to nginx-extras.
  * debian/control:
    + Suggests: nginx-docs. Thanks to colliar <colliar4ever@aol.com> for
      reporting bug (Closes: #702923)
  * debian/copyright:
    + Updated copyright year.
    + Fixed broken license text.

  [ Michael Lustfield ]
  * debian/conf/sites-available/default:
    + Added ipv6_only=on to default server block. (Closes: #700857)
    + Added default_server to ipv4 default server block. Now matches ipv6.
  * debian/rules:
    + Removed obsolete --with-md5 and --with-sha1

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Apr 2013 12:51:45 +0530

nginx (1.2.6-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release.
  * debian/nginx-common.nginx.init:
    + Used log_*_msg instead of echo for better init messages.
    + Added patch to check start-stop-daemon exit status, Thanks to
      Sergey B Kirpichev <skirpichev@gmail.com> (Closes: #695374).
  * debian/po/ja.po:
    + Added new Japanese translation. Thanks to victory <victory.deb@gmail.com>
      (Closes: #692481).
  * debian/po/pt_BR.po:
    + Added new Brazilian Portuguese translation. Thanks to
      Adriano Rafael Gomes <adrianorg@gmail.com> (Closes: #692481).

  [ Cyril Lavier ]
  * debian/rules
    + Added RealIP module in nginx-naxsi (Closes: #693302).
  * debian/modules/nginx-cache-purge/
    + Updated nginx-cache-purge module with the 2.0 version.
  * debian/modules/nginx-lua/
    + Updated nginx-lua module with the 0.7.8 version.
  * debian/modules/nginx-echo/
    + Updated the nginx-echo module with the 0.41 version.
  * debian/modules/headers-more-nginx-module/
    + Updated the Headers-more module with the 0.19 version.
  * debian/modules/README.Modules-versions
    + Updated the current version of modules following the updates.

  [ Michael Lustfield ]
  * debian/conf/sites-available/default
    + Uncommented listen lines to make server block default.

 -- Kartik Mistry <kartik@debian.org>  Tue, 18 Dec 2012 10:29:18 +0530

nginx (1.2.4-2) unstable; urgency=low

  * debian/conf/nginx.conf:
    + Fixed pid path to /run/nginx.pid in config.
  * debian/po/*.po, debian/nginx-naxsi-ui.templates, debian/po/templates.pot:
    + Fixed ^M characters in template file. Thanks to Christian Perrier
      <bubulle@debian.org> for help (Closes: #692191, #692335)

 -- Kartik Mistry <kartik@debian.org>  Mon, 05 Nov 2012 13:05:34 +0530

nginx (1.2.4-1) unstable; urgency=low

  [ Michael Lustfield ]
  * debian/nginx-common.nginx.init
    + Added --retry to start-stop-daemon. (Closes: #682360)
    + Added $named to Required-Start/Stop. (Closes: #679879)
    + Added some other modifications after testing. (LP: #1033856)
  * debian/rules:
    + Added -DFORTIFY_SOURCE=2 -fstack-protector to build flags.
      (Closes: #680712)
  * debian/nginx-common.install:
    + Moved default docs to /usr/share/nginx/html. (Closes: #1031515)
  * debian/rules:
    + Set prefix to /usr/share/nginx.
  * debian/po/fr.po
    + Updated French translation file. (Closes: #679601)
  * debian/logrotate:
    + Removed semicolon after an fi statement. (Closes: #683870)
  * debian/copyright:
    + Removed trailing slash from File: fields.
  * Changed /var/run to /run in multiple files. (LP: #1050516)
  * debian/nginx-common.dirs:
    + Added /run to .dirs to avoid conflicts with backports. (LP: #1072641)
  * debian/nginx-*.postinst:
    + Added sites-enabled/available directory checks. (Closes: #688410)
      - Thanks Andreas Marschke <andreas.marschke@gmail.com>
    + Moved the symlink creation to nginx-common.
  * Updated debconf templates.
  * conf/sites-available/default:
    + Updated root to point at /usr/share/nginx/html instead of www.

  [ Kartik Mistry ]
  * Acknowledged NMUs (Closes: #681758, #681381)
  * New upstream release (Closes: #683704)
  * debian/po/*.po:
    + Removed ^M characters from headers.
    + Fixed all files with recent unneeded template change.

 -- Kartik Mistry <kartik@debian.org>  Tue, 30 Oct 2012 10:10:34 +0530

nginx (1.2.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "removes files that were installed by another package":
    don't remove directories that are owned by (and removed from) nginx-common
    from nginx-extras.postrm. This seems to have been the idea in commit e30a854
    ("Moved configuration purging to nginx-common.") except that it was added
    in nginx-common.postrm without being removed in nginx-extras.postrm.
    Remove nginx-extras.postrm since it's empty after this change.
    (Closes: #681758)

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Aug 2012 18:13:10 +0200

nginx (1.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload to deal with the goal of 100% translated
    debconf templates for 7 languages in wheezy.
  * Drop nasty ^M characters from the templates file. They break
    debconf-updatepo and therefore translations. Closes: #681381
  * As a consequence, fix translations as some of them had been
    "updated" in the meantime wrt broken templates

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Jul 2012 21:23:57 +0200

nginx (1.2.1-2) unstable; urgency=medium

  [Cyril Lavier]
  * Urgency set to medium, security bug in naxsi module, fix via upstream.
  * debian/modules/naxsi:
    + Updated naxsi module to version 0.46-1 fixing the following security
      issue : potential file disclosure in nx_extract.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Wed, 27 Jun 2012 13:52:03 +0200

nginx (1.2.1-1) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium, RC bug fix.
  * New upstream release (Closes: #677396)
  * debian/nginx.1:
    + Updated with description taken from debian/control.
  * debian/po/cs.po:
    + Added Czech translation of PO debconf template.
      (Closes: #673120, #678659)
  * debian/po/da.po:
    + Added Danish translation of PO debconf template.
      (Closes: #674461, #677806)
  * debian/po/it.po:
    + Added Italian translation of PO debconf template. (Closes: #679185)
  * debian/po/nl.po:
    + Added Dutch translation of PO debconf template. (Closes: #675314)
  * debian/po/pl.po:
    + Added Polish translation of PO debconf template. (Closes: #678156)
  * debian/po/pt.po:
    + Added Portuguese translation of PO debconf template.
      (Closes: #674609, #679149)
  * debian/po/sk.po:
    + Added Slovak translation of PO debconf template. (Closes: #677282)
  * debian/po/sv.po:
    + Added Swedish translation of PO debconf template.
      (Closes: #675107, #677032)
  * debian/copyright:
    + Removed duplicate Copyright fields.
  * debian/modules/nginx-lua:
    + Updated to latest upstream git tag 0.5.0rc29-6446ee71b8, Fix for worker
      process crashes (Closes: #674928)
  * debian/nginx-naxsi-ui.templates, debian/po/templates.pot:
    + Updated debconf template after review from l10n-english team.
      (Closes: #675237)
    + Do not add empty line.
  * debian/po/*.po:
    + Refreshed after template update.

  [Cyril Lavier]
  * debian/rules:
    + Added status module to nginx-naxsi. (Closes: #672998)
  * debian/control:
    + Updated nginx-naxsi module list.
    + Updated nginx-full module list. (Closes: #677128)
  * debian/po/de.po:
    + Added German translation of PO debconf template.
      (Closes: #673861, #677790)
  * debian/po/ru.po:
    + Added Russian translation of PO debconf template. (Closes: #674188)
  * debian/po/es.po:
    + Added Spanish translation of PO debconf template. (Closes: #678915)
  * debian/po/gl.po:
    + Added Galician translation of PO debconf template. (Closes: #678910)
  * debian/nginx-naxsi-ui.postrm, debian/nginx-naxsi-ui.prerm:
    + Added postrm and prerm scripts for nginx-naxsi-ui. (Closes: #673787)

  [Michael Lustfield]
  * debian/nginx-common.preinst:
    + Copied install stuff to upgrade in case statement. (LP: #1014506)
  * debian/rules
    + Added --with-pcre-jit to build. (LP: #915344)
  * debian/conf/sites-available/default:
    + Changed default try_files example. (LP: #969207)
  * debian/nginx-*.postrm:
    + Changed a few things so files are only purged on purge. (Closes: #678060)
      - Thanks Jeroen Dekkers <jeroen@dekkers.ch>

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Jun 2012 09:24:50 +0530

nginx (1.2.0-1) unstable; urgency=low

  [Cyril Lavier]
  * New upstream release. (Closes: #670306)
    + 1.2.x is stable release now.
  * debian/modules/chunkin-nginx-module:
    + Updated chunkin-nginx-module to v0.23rc2-3-g85eca98.
  * debian/modules/headers-more-module:
    + Updated headers-more-module to v0.17rc1-4-g33a82ed.
  * debian/modules/nginx-development-kit:
    + Updated nginx-development-kit to v0.2.17-7-g24202b4.
  * debian/modules/nginx-echo:
    + Updated nginx-echo to v0.38rc2-7-g080c0a1.
  * debian/modules/nginx-lua:
    + Updated nginx-lua to v0.5.0rc25-5-g8d28785.
  * debian/modules/nginx-upstream-fair:
    + Updated nginx-upstream-fair to a18b409.
  * debian/modules/nginx-upload-progress:
    + Updated nginx-upload-progress to v0.9.0-0-ga788dea.
  * debian/modules/naxsi:
    + Updated naxsi to 0.46
  * debian/modules/README.Modules-versions:
    + Updated versions and URLs for modules.
  * debian/naxsi-ui-extract, debian/naxsi-ui-intercept,
    debian/nginx-naxsi-ui.*, debian/naxsi-ui-extract.1,
    debian/naxsi-ui-intercept.1, debian/rules:
    + Added nginx-naxsi-ui package containing the learning daemon
      and the WebUI.
  * debian/nginx-common.nginx.default, debian/nginx-common.nginx.init:
    + Renamed files to be compliant with the nginx-naxsi-ui package.
  * debian/po:
    + Added needed files for using po-debconf.
    + Added French translation.
  * debian/control:
    + Applied the modifications given after the review by Justin Rye.

  [Michael Lustfield]
  * debian/conf/uwsgi_params:
    + Added UWSGI_SCHEME to uwsgi_params. (Closes: #664878)
  * debian/conf/sites-available/default:
    + Added allow directive for ipv6 localhost. (Closes: #664271)

  [Kartik Mistry]
  * debian/control:
    + wrap-and-sort.
  * debian/copyright:
    + Added missing copyrights, minor formatting fixes.
  * debian/nginx-common.nginx.init:
    + Added ulimit for restarts, Thanks to Daniel Roschka
      <danielroschka@phoenitydawn.de> for patch. (Closes: #673580)
  * debian/conf/sites-available/default:
    + Added patch to fix deprecated "listen" directive, Thanks to
      Guillaume Plessis <gui@dotdeb.org> for patch. (Closes: #672632)

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 May 2012 11:15:00 +0530

nginx (1.1.19-1) unstable; urgency=high

  [Cyril Lavier]
  * New upstream release.
    + Fixed a buffer overflow in the ngx_http_mp4_module. See: CVE-2012-2089
      for more details.
  * debian/copyright:
    + Updated licenses.
  * debian/nginx-extras.postinst, debian/nginx-full.postinst,
    debian/nginx-light.postinst, debian/nginx-naxsi.postinst:
    + Removing the debug markers. (Closes: #667894)
  * debian/control, debian/rules, debian/copyright,
    debian/modules/nginx-dav-ext-module:
    + Added nginx-dav-ext-module in full and extras.
  * debian/modules/naxsi:
    + Updated naxsi to the SVN snapshot (r280) to fix the licence issue with
      OpenSSL.

  [Kartik Mistry]
  * Misc cleanups in debian/control, debian/copyright.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Fri, 13 Apr 2012 16:58:59 +0530

nginx (1.1.18-1) unstable; urgency=low

  [Cyril Lavier]
  * New upstream release.
  * New binaries introduced: nginx-naxsi, nginx-naxsi-dbg.
  * debian/modules/nginx-cache-purge:
    + Added nginx cache purge 1.5 to nginx-naxsi.
  * debian/rules, debian/control, debian/nginx-naxsi.dirs,
    debian/nginx-naxsi.install, debian/nginx-naxsi.postinst,
    debian/nginx-naxsi.postrm, debian/nginx-naxsi.prerm,
    debian/modules/naxsi, debian/conf/naxsi_core.rules,
    debian/modules/README.Modules-versions, debian/conf/nginx.conf:
    + Added nginx-naxsi flavour.
    + Added naxsi 0.44 to nginx-naxsi.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Thu, 29 Mar 2012 22:43:07 +0530

nginx (1.1.17-2) unstable; urgency=high

  [Cyril Lavier]
  * debian/control:
    + Added build dependency to dpkg-dev (>= 1.15.7). (Closes: #664212)
  * debian/patches/perl-use-dpkg-buildflags.patch:
    + Added patch to harden flags for perl module (Thanks to Simon Ruderich
      for the patch). (Closes: #664090)

  [Kartik Mistry]
  * Set urgency due to fix for security and RC bugs with 1.17.1-1 upload.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Sun, 18 Mar 2012 09:31:19 +0530

nginx (1.1.17-1) unstable; urgency=medium

  [Kartik Mistry]
  * New upstream release. (Closes: #664137)
    + Fixed malformed HTTP responses. See: CVE-2012-1180 for more details.
  * Set urgency to medium due to security issue.

  [Cyril Lavier]
  * debian/rules:
    + Set NUMJOBS to 1 if no value is given
    + Added Auth PAM module to nginx-extras
    + Enable hardened flags for perl module (Thanks to Simon Ruderich for
      the patch) (Closes: #664090).
  * debian/conf/sites-available/default:
    + Added the fastcgi_pass for php5-fpm. (Closes: #662997)
  * debian/nginx-common.postrm, debian/rules, debian/nginx-common.postinst,
    debian/nginx-common.prerm, debian/nginx-common.service:
    + Added the systemd support. Thanks to Michael Stapelberg for the patch.
      (Closes: #662799)

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Mar 2012 10:27:38 +0530

nginx (1.1.16-1) unstable; urgency=low

  [Cyril Lavier]
  * Modified the parallel build to avoid random FTBFS in Ubuntu.
  * New upstream release.
  * debian/modules:
    + Updated nginx-upload-progress to 0.8.3-2-g03cbf1f.
  * debian/control:
    + Added myself as uploader.
    + Added libpam0g-dev to Build-Depends.
    + Use wrap-and-sort to wrap control file fields.

  [Michael Lustfield]
  * debian/nginx-common.postinst:
    + Changed postinst to not change permissions on all log files.
      (Closes: #658492)
  * debian/rules:
    + Added Auth PAM module at debian/modules/nginx-auth-pam. (Closes: #660408)

  [Kartik Mistry]
  * debian/control:
    + Added conflict between -dbg packages as seen by Lintian.
    + Updated Standards-Version to 3.9.3
  * debian/copyright:
    + Updated for copyright-format 1.0
    + Updated upstream copyright year and details.
  * debian/rules:
    + Moved nginx-auth-pam module to nginx-full package.

 -- Kartik Mistry <kartik@debian.org>  Sun, 04 Mar 2012 10:31:21 +0530

nginx (1.1.14-1) unstable; urgency=low

  [Cyril Lavier]
  * New upstream release.
  * debian/rules:
    + Resolved the lintian errors "unstripped-binary-or-object" with a
      cleaner correction (Thanks to Steven Chamberlain for the patch).
    + Added a check on the parallel building to force NUMJOBS to 1 if
      the value 0 is given.
  * debian/modules:
    + Updated nginx-lua module to version 0.4.1.

  [Kartik Mistry]
  * debian/rules, debian/control, debian/copyright,
    debian/modules/nginx-upload-module:
    + Added Upload module to nginx-extras, updated long description and
      copyright. (Closes: #654593)
  * debian/modules/README.modules:
    + Added Homepage information for some modules.
  * debian/rules:
    + Enable hardened build flags, Thanks to Moritz Muehlenhoff for patch.
      (Closes: #658186)

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Feb 2012 17:50:05 +0530

nginx (1.1.12-1) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Set myself as Maintainer, Jose Parrella as Uploaders with approval from
      team.
  * debian/copyright:
    + Fixed DEP5 URL.
    + Updated debian/* copyright.
  * debian/modules:
    + Updated nginx-lua module to version 0.3.1rc43

  [Cyril Lavier]
  * New upstream release.
  * debian/conf/sites-available/default:
    + Added a / in the alias directive. (Closes: #653160)
  * debian/rules:
    + Added necessary lines for parallel building.

 -- Kartik Mistry <kartik@debian.org>  Sun, 01 Jan 2012 17:21:02 +0530

nginx (1.1.11-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release.
  * debian/control:
    + Set priority to extra for nginx-light and nginx-extras binaries
      (Policy: Section 2.5)
  * debian/patches/607418-ipv6-addresses.diff:
    + Removed. Merged upstream with 1.1.9 release.
  * debian/copyright:
    + Updated upstream copyright year, updated Michael's email address, misc
      changes for format.

  [Michael Lustfield]
  * debian/conf/fastcgi_params:
    + Changed $server_https to $https per new feature in 1.1.11.
  * debian/conf/nginx.conf:
    + Removed map for $server_https as it's no longer needed.

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Dec 2011 09:45:40 +0530

nginx (1.1.8-2) unstable; urgency=low

  * debian/modules/chunkin-nginx-module:
    + Reinclude HttpChunkin Module with new upstream version (closes: #638814)
  * debian/control:
    + Add myself to uploaders list.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 24 Nov 2011 14:16:50 +0530

nginx (1.1.8-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release.
  * debian/modules/chunkin-nginx-module:
    + Removed as of now, as it breaks with Perl 5.14 (Closes: #649061)

  [Michael Lustfield]
  * debian/control:
    + Added Map module to nginx-light modules list.
  * debian/rules:
    + Removed --without-http_map_module form nginx-light.
  * debian/nginx-common.install:
    + Changed ufw profile installation (LP: #825349).
      - debian/ufw.profile -> debian/ufw/nginx.
  * debian/nginx-common.preinst:
    + Cleanup of moved nginx profile.
  * debian/conf/nginx.conf:
    + Added a default map for $server_https (on|off).
  * debian/conf/fastcgi_params:
    + Pass HTTPS so $_SERVER['HTTPS'] is set (LP: #857831).
  * debian/conf/mime.types:
    + Added json type (LP: #883440).
  * debian/conf/sites-available/default:
    + Added notes about PHP (Closes: #642995).
    + Changed location /doc from root to alias.
    + Changed location /doc to /doc/ for people that don't bother reading or
      learning anything about Nginx configuration files (LP: #840358).

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Nov 2011 23:44:00 +0530

nginx (1.1.4-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/modules:
    + Updated nginx-upload-progress module, Thanks to upstream for fixing issue
      that FTBFS nginx on kFreeBSD-* archs.
    + Updated nginx-lua module to latest upstream.

 -- Kartik Mistry <kartik@debian.org>  Mon, 26 Sep 2011 10:17:04 +0530

nginx (1.1.4-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release.
  * debian/rules:
    + Added 'HTTPStubStatus' module in nginx-light also (Closes: #639661).
    + Added 'HTTP MP4' module in nginx-extras. (Closes: #642022).
  * Add new modules, Thanks to Dmitry E. Oboukhov <unera@debian.org>:
    + NginxHttpHeadersMore Module (closes: #638820).
    + HttpChunkin Module (closes: #638814).
  * Renamed debian/modules/versions to debian/modules/README.modules-version,
    added missing homepage and version information.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Sep 2011 13:44:48 +0530

nginx (1.1.2-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release
  * debian/control:
    + Added missing 'http-push' module in long description of nginx-extras.
      (Closes: #638924)
    + Removed 'File AIO' module from description, which we don't provide.
      (Closes: #639360)
    + Added 'HTTP Sub Module' in long description of nginx-extras, nginx-full.
    + Updated Breaks/Replaces fields.

  [ Michael Lustfield ]
  * debian/copyright:
    + Updated email address for Michael Lustfield
  * debian/control:
    + Updated email address for Michael Lustfield
    + Updated Breaks on nginx-common to address conflicting versions

 -- Kartik Mistry <kartik@debian.org>  Wed, 07 Sep 2011 12:15:36 +0530

nginx (1.1.0-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release
  * debian/control:
    + Added 'Upload Progress' module in long description of nginx-extras
      (Closes: #635313)
  * debian/rules, debian/modules:
    + Removed deprecated module: nginx-secure-download
  * debian/modules:
    + Updated nginx-lua module to version: v0.2.1rc2
    + Updated nginx-echo module to version: v0.37rc1

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Aug 2011 20:06:43 +0530

nginx (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + nginx Depends on either nginx-full or nginx-light, Thanks to
      Hans van Kranenburg <hans.van.kranenburg@mendix.com> (Closes: #633879)
  * debian/copyright:
    + Updated to latest DEP-5 specification
    + Added some missing copyrights for modules
    + Updated copyright years

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Jul 2011 10:16:45 +0530

nginx (1.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/*.lintian-overrides, debian/rules:
    + Removed unused lintian for missing manpages

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jun 2011 19:12:25 +0530

nginx (1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Removed if surrounding copy of man/ as it is required for builds.
    + Added nginx-upload-progress to nginx-extras. (Closes: #618306)
    + Added nginx-secure-downloads to nginx-extras. (Closes: #622268)
    + Added --prefix to configure command. (Closes: #619482)
  * debian/modules:
    + Added nginx-upload-progress/*.
    + Added nginx-secure-download/*.
    + Updated nginx-lua/*.
    + Updated versions.
  * debian/control:
    + Added libmhash-dev build dependency.
    + Updated Standards-Version to 3.9.1.

 -- Michael Lustfield <mtecknology@ubuntu.com>  Mon, 09 May 2011 00:36:54 +0530

nginx (1.0.0-2) unstable; urgency=low

  * debian/rules:
    + Removed --with-file-aio support. Fixed FTBFS on kFreeBSD-* arch
      (Closes: #621882)

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Apr 2011 13:47:58 +0530

nginx (1.0.0-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release:
    + Removed debian/patches/609343-log-time-iso8601.diff, merged upstream.
  * debian/rules:
    + Fixed: FTBFS on sparc64, detects sparc64 as sparc. Thanks to
      Aurelien Jarno <aurel32@debian.org> (Closes: #617924)
  * debian/watch:
    + Updated for 1.x.x release

  [Michael Lustfield]
  * debian/rules:
    + Added Echo module back to nginx-full. (LP: #735622)
    + Moved nginx-push-0.96 to nginx-http-push.
  * debian/modules:
    + Updated nginx-development-kit.
    + Updated nginx-echo.
    + Updated nginx-http-push.
    + Updated nginx-lua.
    + Updated nginx-upstream-fair.
    + Added versions to track module versions.
  * debian/conf/fastcgi_params:
    + Changed $document_root$fastcgi_script_name to $request_filename.

 -- Kartik Mistry <kartik@debian.org>  Thu, 14 Apr 2011 10:41:08 +0530

nginx (0.8.54-4) unstable; urgency=low

  [Micheal Lustfield]
  * debian/nginx-{full,light,extras}.default:
    + Added comment about alternative to ULIMIT.
  * debian/nginx-{full,light,extras}.init.d:
    + Added quotes around a test variable. (Closes: #610946, LP: #699736)
  * debian/patches/609343-log-time-iso8601.diff:
    + Added patch to add $time_iso8601 variable to logs. (Closes: #609343)
  * Clean up old logrotate files. (Closes: #608983, Closes: #610289)
    + Added Files:
      - debian/nginx-common.preinst
    + Modified Files:
      - debian/rules
    + Moved debian/nginx-common.logrotate to debian/logrotate.
  * Added common files to nginx-common package. (Closes: #610290)
    + Removed Files:
      - debian/nginx-full.dirs
      - debian/nginx-light.dirs
      - debian/nginx-full.install
      - debian/nginx-light.install
      - debian/nginx-extras.install
      - debian/nginx.*
    + Added Files:
      - debian/nginx-common.default
      - debian/nginx-common.dirs
      - debian/nginx-common.init.d
      - debian/nginx-common.install
      - debian/nginx-common.manpages
      - debian/logrotate
    + Modified Files:
      - debian/nginx-extras.dirs
      - debian/control
      - debian/rules
  * debian/nginx-*.install: (Closes: #609797)
    + Removed NEWS.Debian from nginx-{full,light,extras}.install.
    + Added NEWS.Debian to nginx-common.install.
  * nginx-common.postinst:
    + Enforce /var/log/nginx mode and user:group. (Closes: #610983)
    + Enforce /var/log/nginx/*.log mode and user:group. (Closes: #612832)
  * debian/rules:
    + Added --with-file-aio to nginx-extras. (Closes: #613175)
    + Removed split clients and user id modules from nginx-light.
  * debian/conf/sites-available/default:
    + Fixed a minor typo ( s/Quickstart/QuickStart/ ). (Closes: #613355)
  * debian/conf/mime.types:
    + Changed xml type to application/xhtml+xml. (Closes: #613851)
  * debian/help/docs/fcgiwrap:
    + Removed Ubuntu specific line in docs. (Closes: #614987)
  * debian/conf/sites-available/default:
    + Fixed a pointer to a file. (Closes: #614980)

  [Kartik Mistry]
  * debian/*.lintian-overrides:
    + Add Lintian overrides for nginx man page. We've manpage in nginx-common
      binary

 -- Michael Lustfield <mtecknology@ubuntu.com>  Thu, 03 Mar 2011 23:39:07 +0530

nginx (0.8.54-3) unstable; urgency=low

  * debian/control:
    + Added Breaks: and Replaces: to nginx packages. (Closes: #609254)
  * debian/rules:
    + Adding SSL support to nginx-light. (Closes: #609134)
    + Adding HTTP Addition module to nginx-full and nginx-extras. (Closes: #609411)
    + Added HTTP Push module to nginx-extras. (LP: #694456)

 -- Michael Lustfield <mtecknology@ubuntu.com>  Tue, 11 Jan 2011 05:27:39 -0600

nginx (0.8.54-2) unstable; urgency=low

  * Do not install nginx.8 man page in debug packages (Closes: #608633)

 -- Kartik Mistry <kartik@debian.org>  Sun, 02 Jan 2011 18:46:03 +0530

nginx (0.8.54-1) unstable; urgency=low

  [ Michael Lustfield ]
  * Added ipv6 patch. (Closes: #607418)
    + Edited files:
      - src/http/ngx_http_request.c
  * Added ulmit patches. (Closes: #606094)
    + Added files:
      - debian/nginx-full.default
      - debian/nginx-light.default
      - debian/nginx-extras.default
    + Edited files:
      - debian/nginx-full.init.d
      - debian/nginx-light.init.d
      - debian/nginx-extras.init.d
  * Added perl module to nginx-extras. (Closes: #598461)
    + debian/rules:
      - Added --with-http_perl_module to nginx-extras.
    + debian/control:
      - Added libperl-dev build dependency.
    + debian/nginx-extras.install:
      - Added perl install files
    + debian/nginx-extras.dirs:
      - Added directory to install perl files.
  * debian/rules:
    + Added ifeq to handle nginx.8 (man page) if it exists in the source.
  * debian/control:
    + Added descriptions to make clear the differences between nginx packages.
  * Removed patches:
    + debian/patches/nginx-echo.diff
      - Put source into debian/patches/.
    + debian/patches/nginx-upstream-fair.diff
      - Put source into debian/patches/.
    + debian/patches/dlopen.diff
      - Patch no longer relevant.
  * Added modules:
    + debian/modules/nginx-development-kit
    + debian/modules/nginx-upstream-fair
    + debian/modules/nginx-echo
    + debian/modules/nginx-lua
  * Split Nginx into multiple variations of the package.
    + Added files for nginx-full:
      - debian/nginx-full.install
      - debian/nginx-full.dirs
      - debian/nginx-full.logrotate
      - debian/nginx-full.init.d
      - debian/nginx-full.postinst
      - debian/nginx-full.prerm
      - debian/nginx-full.postrm
    + Added files for nginx-light:
      - debian/nginx-light.install
      - debian/nginx-light.dirs
      - debian/nginx-light.logrotate
      - debian/nginx-light.init.d
      - debian/nginx-light.postinst
      - debian/nginx-light.prerm
      - debian/nginx-light.postrm
    + Added files for nginx-extras:
      - debian/nginx-extras.install
      - debian/nginx-extras.dirs
      - debian/nginx-extras.logrotate
      - debian/nginx-extras.init.d
      - debian/nginx-extras.postinst
      - debian/nginx-extras.prerm
      - debian/nginx-extras.postrm
    + Removed files for nginx:
      - debian/nginx.install
      - debian/nginx.dirs
      - debian/nginx.logrotate
      - debian/init.d
      - debian/postinst
      - debian/prerm
      - debian/postrm
    + Updated debian/rules:
      - Modified rules to create extra packages.
    + Updated debian/control:
      - Added packages for nginx-{full,light,extras}.
      - Added packages for nginx-{full,light,extras}-dbg.
      - Changed nginx to a dummy package selecting nginx-full.

  [Kartik Mistry]
  * debian/control:
    + Added doc section for nginx-doc
    + Wrapped some long descriptions, updated short descriptions
    + Added perl:Depends for nginx-extras
  * debian/rules:
    + Fixed dh_installchangelogs, dh_compress

 -- Michael Lustfield <mtecknology@ubuntu.com>  Thu, 30 Dec 2010 14:15:26 +0530

nginx (0.8.53-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/mime.types:
    + Added html5 codecs support (Closes: #605212)
  * debian/conf/fastcgi_params:
    + Fixed typo (Closes: #605582)

  [Michael Lustfield]
  * debian/conf/nginx.conf:
    + Reduced worker_connections to 768 (Closes: #605529)
  * Add an nginx site management script to nginx-doc. (Closes: #593580)
    + debian/help/examples/nginx_modsite: Added.
  * debian/nginx.logrotate:
    + Added prerotate chunk for awstats. (Closes: #590098)
  * debian/copyright:
    + Added Michael Lustfield
  * Created nginx-doc:
    + Added 'Package: nginx-doc' section to debian/control
    + Moved debian/nginx.examples -> debian/nginx-doc.examples
    + Moved debian/nginx.docs -> debian/nginx-doc.docs

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Dec 2010 11:26:22 +0530

nginx (0.8.53-1) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Added Michael Lustfield as co-maintainer
  * nginx.conf:
    + No need to use regex in gzip_disable for msie6, Thanks to António P. P.
      Almeida <appa@perusio.net> (Closes: #592147)
  * conf/sites-available/default:
    + Fixed typo for "include fastcgi", Thanks to Mostafa Ghadamyari
      <nginx@gigfa.com> (Closes: #593142, #593143)
  * debian/patches/fix_reloading_ipv6.diff:
    + Removed, merged upstream
  * debian/init.d:
    + Added fix to control nginx by user in a simple way by setting DAEMON
      variable to an invalid name in /etc/default/nginx. Patch by Toni Mueller
      <support@oeko.net> (Closes: #594598)
  * debian/NEWS.Debian:
    + Updated news for 0.8.x as stable branch

  [Michael Lustfield]
  * New upstream release (Closes: #602970)
    + 0.8.x branch is declared stable by upstream now
  * Add a UFW profile set:
    + debian/nginx.ufw.profile: Added.
    + debian/control: nginx: Suggests ufw.
    + debian/dirs: Add 'etc/ufw/applications.d'
    + debian/rules: Add install rule for the nginx UFW profile.
  * Moved debian/dirs to debian/nginx.dirs
  * Added types_hash_max_size to nginx.conf
  * Install simple default index.html file (Closes: #581416)
    + debian/dirs: Add 'usr/share/nginx/www'.
    + debian/nginx.install: Add 'html/* usr/share/nginx/www'.
  * debian/patches/nginx-echo.diff:
    + Added Echo module
  * Added files for nginx.docs
    - /usr/share/doc/nginx/
      + debian/help/docs/fcgiwrap
      + debian/help/docs/php
      + debian/help/docs/support-irc
      + debian/help/docs/upstream
  * Added files for nginx.examples
    - /usr/share/doc/nginx/examples/
      + debian/help/docs/drupal
      + debian/help/docs/http
      + debian/help/docs/mail
      + debian/help/docs/mailman
      + debian/help/docs/nginx.conf
      + debian/help/docs/virtual_hosts
      + debian/help/docs/wordpress
  * debian/conf/:
    + Removed excess spaces
    + Added tabs where appropriate
    + Added SCRIPT_FILENAME to fastcgi_params

 -- Kartik Mistry <kartik@debian.org>  Sat, 27 Nov 2010 21:04:02 +0530

nginx (0.7.67-3) unstable; urgency=low

  * debian/rules:
    + Readded the configure option --with-mail_ssl_module, Thanks to Roland
      Rosenfeld <roland@spinnaker.de> (Closes: #590815)
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Jul 2010 21:41:52 +0530

nginx (0.7.67-2) unstable; urgency=low

  * debian/conf/sites-available/default:
    + Removed reference to SSLv2 protocol (Closes: #589139)
  * debian/control:
    + Updated Standards-Version to 3.9.0
  * debian/copyright:
    + Don't point to BSD license file, included exact upstream version of
      license text
    + Added missing copyright owner for contrib/ scripts
    + debian/* license is same as upstream now as discussed with co-maintainers

 -- Kartik Mistry <kartik@debian.org>  Mon, 19 Jul 2010 10:36:32 +0530

nginx (0.7.67-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Jun 2010 01:26:51 +0530

nginx (0.7.65-7) unstable; urgency=low

  [Kartik Mistry]
  * debian/rules:
    + Enabled HTTPSubModule module in configure (Closes: #584828)
    + Arranged configure options in better manner

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Jun 2010 14:33:24 +0530

nginx (0.7.65-6) unstable; urgency=low

  [Kartik Mistry]
  * debian/README.Debian:
    + Fixed typo and somewhat better wordings
  * debian/conf/mime.types:
    + Added entry to support 7zip files (Closes: #580423)
  * debian/init.d:
    + Do not print config testing info until an error found, Thanks to Ubuntu
      bug 568293
  * debian/copyright:
    + Updated as per DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Sat, 22 May 2010 01:41:33 +0530

nginx (0.7.65-5) unstable; urgency=low

  [Kartik Mistry]
  * debian/patches/fix_reloading_ipv6.diff:
    + Added patch to fix reloading with IPv6 addresses, Thanks to
      Matthias-Christian Ott <ott@mirix.org> for patch (Closes: #577456)

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Apr 2010 11:36:48 +0530

nginx (0.7.65-4) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Really listen for both IPv4 and IPv6 addresses. Thanks to Nikolaus
      Schulz <microschulz@web.de> for notice (Closes: #574983)
  * debian/control, debian/rules:
    + Added GeoIP support, Thanks to Caetano Carezzato
      <caetano@vision.ime.usp.br> (Closes: #575280)
  * debian/conf/mime.types:
    + Added svg entry to mime.types, Jeremy Lal <kapouer@melix.org>
      (Closes: #575155)

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Mar 2010 00:21:50 +0530

nginx (0.7.65-3) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium due to Release Goal
  * debian/conf/sites-available/default:
    + Listen for both IPv4 and IPv6 addresses by default (Closes: #574983)

 -- Kartik Mistry <kartik@debian.org>  Tue, 23 Mar 2010 10:30:18 +0530

nginx (0.7.65-2) unstable; urgency=low

  * debian/README.Debian:
    + Added explanation about not installing files in /var/www/
      (Closes: #572513)
  * debian/rules:
    + Readded realip module support (Closes: #507419)

 -- Kartik Mistry <kartik@debian.org>  Sat, 06 Mar 2010 13:14:48 +0530

nginx (0.7.65-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release
  * debian/init.d:
    + $local_fs $remote_fs $network $syslog is what we need in Required-Start
    and Required-Stop (Closes: #568238)
  * debian/copyright:
    + Updated package copyright year
    + Updated license text to make same as upstream license

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Feb 2010 11:20:28 +0530

nginx (0.7.64-3) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Added patch to fix default virtual host, Thanks to Thomas Venieris
     <mot@freemail.gr> (Closes: #564726)
  * debian/init.d:
    + Added dependency on $remote_fs in Required-Start and Required-Stop
      (Closes: #566862)
  * Converted package to use 3.0 (quilt) source format
  * Updated to Standards-Version 3.8.4

 -- Kartik Mistry <kartik@debian.org>  Mon, 01 Feb 2010 23:44:21 +0530

nginx (0.7.64-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/rules:
    + Used dh_prep instead of dh_clean -k
  * debian/control:
    + Added ${misc:Depends} in Depends
  * Added patch for adding debug package, Thanks to Matthew Palmer
    <mpalmer@debian.org> (Closes: #563339)
  * debian/copyright:
    + Added missing copyright owners for Debian package and fixed year and
    licence doesn't point to versionless symlink

  [Fabio Tranchitella]
  * debian/init.d:
    + Added patch from Wouter de Bie to add $DAEMON_OPTS in
    test_nginx_config()

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Jan 2010 11:15:59 +0530

nginx (0.7.64-1) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium due to security issue
  * New upstream release (Closes: #557602)
    + fixes SSL renegotiation vuln CVE-2009-3555 (Closes: #557873)
  * debian/nginx.1:
    + Corrected homepage entry (Closes: #556617)
    + Minor whitespace and empty line cleanups, added SEE ALSO section. Used
      .TP instead of .br, Added missing options, and this should
      (Closes: #556616)
  * debian/copyright:
    + Used © instead of deprecated (C) symbol
    + Formatted some texts
  * debian/control:
    + Added myself as uploader
    + Wrapped and rearranged Build-Depends for better readability
  * debian/patches/dlopen.dpatch:
    + Fixed patch name in comment
    + Added missing DP comment from changelog
  * debian/rules:
    + Minor fixes related to formatting of file and whitespaces
  * debian/watch:
    + Removed comments out of it

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Nov 2009 11:10:18 +0530

nginx (0.7.63-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 09:53:46 +0100

nginx (0.7.62-4) unstable; urgency=low

  * debian/conf/nginx.conf: commented out the mail proxy example.
    (Closes: #551682)
  * debian/init.d: do not redirect the output of nginx -t.
    (Closes: #551683)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 22 Oct 2009 19:50:05 +0200

nginx (0.7.62-3) unstable; urgency=low

  * debian/rules: fix the FTBFS on sparc.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 16 Oct 2009 06:39:22 +0000

nginx (0.7.62-2) unstable; urgency=low

  * debian/rules: added --with-mail and --with-mail_ssl_module.
  * debian/patches/nginx-upstream-fair.dpatch: added support for the
    nginx-upstream-fair module. (Closes: #521447)
  * debian/patches/dlopen.dpatch: applied patch to remove the unnecesssary link
    to libdl. (Closes: #540599)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 15 Oct 2009 18:32:00 +0000

nginx (0.7.62-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: added --with-ipv6. (Closes: #547249)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 27 Sep 2009 22:25:16 +0200

nginx (0.7.61-2) unstable; urgency=low

  * debian/control: bumped Standards-Version to 3.8.3, no changes needed.
  * debian/init.d: added status action. (Closes: #541228)
  * debian/rules:
    - added -with-http_gzip_static_module. (Closes: #541229)
    - use the switch --with-cc-opt="-m32 -mcpu=ultrasparc" on sparc.
      (Closes: #543571)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 29 Aug 2009 17:03:44 +0200

nginx (0.7.61-1) unstable; urgency=low

  * New upstream version:
    *) Bugfix: nginx could not be built --without-http-cache; the bug had
       appeared in 0.7.60.
    *) Bugfix: a segmentation fault occurred in worker process, if a
       backend 401 error was intercepted and the backend did not set the
       "WWW-Authenticate" response header line.
       Thanks to Eugene Mychlo.
    *) Feature: the "keepalive_requests" directive.
    *) Bugfix: in open_file_cache and proxy/fastcgi cache interaction on
       start up.
    *) Bugfix: open_file_cache might cache open file descriptors too long.
    *) Bugfix: XLST filter did not work in subrequests.
  * Fix "gzip_disable in default conf for old IE", adding ignore rules for
    certain MSIE versions in the default configuration (Closes: #540025)
  * Fix "init.d: Config test before allowing a restart" adding a function
    and calling it before reloading, restarting and starting (Closes: #539778)
  * Drops path for pidof call in postinst script.

 -- Jose Parrella <bureado@debian.org>  Wed, 05 Aug 2009 14:00:11 -0500

nginx (0.7.59-1) unstable; urgency=low

  * New upstream release, first in Debian for the 0.7 branch. Among other
    issues, it also fixes the problem with wildcard dns names used with SSL.
    (Closes: #515904)
  * debian/watch: updated.
  * debian/postinst: fixed a bashism. (Closes: #507913)
  * debian/conf/nginx.conf: removed default_type. (Closes: #509390)
  * debian/control: updated Standards-Version to 3.8.1, no changes needed.
  * debian/NEWS.Debian: documented the issues with
    server_names_hash_bucket_size. (Closes: #524785)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 31 May 2009 18:38:56 +0200

nginx (0.7.14-1) experimental; urgency=low

  * New upstream release.
  * Adding configtest to the init.d script (Closes: #496279)
  * postinst now calls the builtin kill, so tweaks on the specific signal
    calls were needed.
  * Default HTML files are no longer installed.
  * The default configuration file no longer requires a 50x file under
    /var/www.

 -- Jose Parrella <bureado@debian.org>  Tue, 02 Sep 2008 20:48:58 -0430

nginx (0.6.34-2) unstable; urgency=low

  * Added support for realip module. (Closes: #507419)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 06 Dec 2008 10:34:01 +0100

nginx (0.6.34-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: removed the --with-debug configure switch. (Closes: #500891)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 30 Nov 2008 11:37:13 +0100

nginx (0.6.32-3) unstable; urgency=low

  * debian/control: build again on all the architectures, but use the switch
    --with-cc-opt="-m32 -mcpu=ultrasparc" on sparch. (Closes: #479185)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 25 Sep 2008 17:14:27 +0200

nginx (0.6.32-2) unstable; urgency=low

  * debian/control: disabled support for sparc. (Closes: #479185)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 20 Sep 2008 11:48:48 +0200

nginx (0.6.32-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 18 Jul 2008 09:15:58 +0200

nginx (0.6.31-2) unstable; urgency=low

  * debian/control: removed httpd-cgi, nginx doesn't support executing
    external programs. (Closes: #482332)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 22 May 2008 08:18:52 +0200

nginx (0.6.31-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 May 2008 22:34:55 +0200

nginx (0.6.30-2) unstable; urgency=low

  * Upload into unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 May 2008 14:24:53 +0200

nginx (0.6.30-1) experimental; urgency=low

  * New upstream release.
  * Sync with the unstable packages.
  * debian/conf/nginx.conf: add support for a conf.d directory.
    (Closes: #476952)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 02 May 2008 09:32:46 +0200

nginx (0.5.35-3) unstable; urgency=low

  * debian/conf/sites-available/default: adding support for /doc and /images
    namespaces (Closes: #474519)

 -- Jose Parrella <bureado@debian.org>  Mon, 07 Apr 2008 13:22:32 -0430

nginx (0.5.35-2) unstable; urgency=low

  * debian/init.d: do not break if start-stop-daemon exits with an error.
    (Closes: #464453)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 10 Feb 2008 17:57:57 +0100

nginx (0.5.35-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 09 Jan 2008 07:58:56 +0100

nginx (0.5.34-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added Homepage, Vcs-Svn, Vcs-Browser fields; updated
    Standard-Versions to 3.7.3.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 24 Dec 2007 12:26:27 +0100

nginx (0.5.33-1) unstable; urgency=low

  * New stable upstream release (Closes: #451173)
  * nginx now provides httpd, httpd-cgi virtual packages
    (Closes: #439468, #452025)
  * sites-enabled/default link is now provided only on fresh
    installations (Closes: #432961)
  * Updated code for online upgrading of nginx (Closes: #445246)
  * Reviewed maintainer scripts for correct behaviour on updates
    (Closes: #452787, #435965)
  * Removed debian/nginx.links and debian/preinst.
  * Changing Maintainer address to bureado@debian.org.
  * Welcoming Fabio Tranchitella <kobold@debian.org> as an nginx
    uploader for Debian. Thanks for your patches.

 -- Jose Parrella <bureado@debian.org>  Sat, 08 Dec 2007 11:27:54 -0400

nginx (0.5.30-1) unstable; urgency=low

  * New stable upstream release.
  * Adding mime.types (and other upstream conffiles) to the package
    since it was lost on 0.5.26 (Closes: #435964)

 -- Jose Parrella <joseparrella@cantv.net>  Sat, 04 Aug 2007 10:39:40 -0400

nginx (0.5.26-1) unstable; urgency=low

  * New stable upstream release.
  * Updating init.d usage message.
  * Installing logrotate script (Closes: #397978)

 -- Jose Parrella <joseparrella@cantv.net>  Sun, 17 Jun 2007 20:43:35 +0100

nginx (0.5.18-1) unstable; urgency=low

  * New upstream version (Closes: #420063)
  * Adding DAV support (Closes: #415678)
  * Adding support for sites-[available|enabled]/ (Closes: #419912)

 -- Jose Parrella <joseparrella@cantv.net>  Thu, 19 Apr 2007 21:50:37 -0400

nginx (0.5.13-1) unstable; urgency=low

  * Adding FLV support. (Closes: #411105)
  * Adding SSL support.

 -- Jose Parrella <joseparrella@cantv.net>  Mon, 19 Feb 2007 10:30:07 -0400

nginx (0.5.12-2) unstable; urgency=low

  * Patching src/core/ngx_shmtx.h in order to solve FTBFS problems in
    non-x86 archs (Thanks to Igor Sysoev) (Closes: #410884)

 -- Jose Parrella <joseparrella@cantv.net>  Wed, 14 Feb 2007 13:32:01 -0400

nginx (0.5.12-1) unstable; urgency=low

  * New upstream version fixes FTBFS problems in non-x86 archs
    (Closes: #409878)

 -- Jose Parrella <joseparrella@cantv.net>  Mon, 12 Feb 2007 19:37:07 -0400

nginx (0.5.11-1) unstable; urgency=low

  * New upstream version. (Closes: #405983)

 -- Jose Parrella <joseparrella@cantv.net>  Sun, 5 Feb 2007 19:35:56 -0400

nginx (0.4.13-2) unstable; urgency=low

  * Fixed default installation paths for www/ files, avoiding the
    default installation of index.html in /var/www (Closes: #400103)
  * Alexey Besciokov <proforg@maloletka.ru> provided new postinst and prerm
    scripts with the ability to reload the master binary (Closes: #398009)

 -- Jose Parrella <joseparrella@cantv.net>  Fri, 24 Nov 2006 07:12:46 -0400

nginx (0.4.13-1) unstable; urgency=low

  * New upstream version
  * Fixed default configuration file which made nginx to fail at
    installation and purge.

 -- Jose Parrella <joseparrella@cantv.net>  Thu, 16 Nov 2006 22:44:33 -0400

nginx (0.4.12-1) unstable; urgency=low

  * New upstream version (Closes: #397969)
  * nginx will now compile with debugging and status support
    (Closes: #397967)
  * Added configuration reload support in the init.d script
    (Closes: #397980)
  * Added logrotate script (Closes: #397978)
  * Added debian/upstream.pl as a brief helper for new
    upstream version packaging.
  * Thanks to Alexey Besciokov <proforg@maloletka.ru> for
    suggestions, bug reports and patches.

 -- Jose Parrella <joseparrella@cantv.net>  Sun, 12 Nov 2006 18:31:24 -0400

nginx (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #386151)
  * Tweaked the configuration file and the path handling for Debian.

 -- Jose Parrella <joseparrella@cantv.net>  Thu, 14 Sep 2006 11:40:20 -0400

